[data-selection] {
    z-index: 80;

    &.open {
        z-index: 100;

        [data-selection-dropdown] {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }
    }
}

[data-selection-dropdown] {
    opacity: 0;
    visibility: hidden;
    transition: .3s;
}

.selection {
    font-size: rem(16);
    line-height: rem(20);
    position: relative;

    &__button {
        cursor: pointer;
        padding: rem(4) rem(8);
        height: rem(41);
        display: flex;
        align-items: center;
        border-radius: rem(5);
        justify-content: space-between;
        border: 1px solid #ccc;
    }

    &__selected {
        flex-grow: 1;
        overflow: hidden;
    }

    &__list {
        max-width: 100%;
        overflow: hidden;
        display: flex;
        align-items: center;

        &:after {
            color: #6A6A6A;
            font-size: rem(14);
            line-height: rem(20);
            white-space: nowrap;
            padding-left: rem(4);
            content: attr(data-selection-list);
        }
    }

    &__elem {
        position: relative;
        white-space: nowrap;
        padding: rem(4);
        height: rem(27);
        display: flex;
        font-size: rem(14);
        line-height: rem(17);
        align-items: center;
        border-radius: rem(5);
        margin-right: rem(6);
        transition: .3s;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        height: rem(8);
        stroke: #3E3E3E;
        padding-left: rem(8);

        svg {
            transition: .3s;
        }
    }

    &__dropdown {
        left: 0;
        top: 100%;
        z-index: 100;
        min-width: 100%;
        overflow: hidden;
        position: absolute;
        background: $white;
        border: 1px solid #ccc;
        border-radius: rem(5);
    }

    &__item {
        cursor: pointer;
        position: relative;
        padding: rem(10);


        &:hover {
            background: #eaeaea;
        }

        &.selected {
            font-weight: 600;
        }
    }

    &--choose {

        .selection__list {

            &:after {
                display: none;
            }
        }
    }

    &--gray {

        .selection {

            &__button {
                background: #F5F5F5;
                border-color: #F5F5F5;
            }
        }
    }

    &--multiple {

        .selection {

            &__elem {
                border: 1px solid #009FDF;
                padding: rem(4) rem(20) rem(4) rem(8);

                &:after,
                &:before {
                    right: 5px;
                    top: calc(50% - 1px);
                    content: '';
                    width: 10px;
                    height: 1px;
                    background: $black;
                    position: absolute;
                    transition: .3s;
                }

                &:after {
                    transform: rotate(45deg);
                }

                &:before {
                    transform: rotate(-45deg);
                }

                &:hover {
                    color: #009FDF;
                    transition: .3s;

                    &:after,
                    &:before {
                        background: #009FDF;
                        transition: .3s;
                    }
                }
            }

            &__item {
                padding: rem(10) rem(10) rem(10) rem(42);

                &:before {
                    z-index: 1;
                    left: 10px;
                    font-size: 0;
                    line-height: 0;
                    top: calc(50% - 10px);
                    content: '';
                    width: 20px;
                    height: 20px;
                    border-radius: 4px;
                    position: absolute;
                    background: $white;
                    border: 1px solid #ccc;
                }

                &.selected {

                    &:after {
                        top: calc(50% - 7px);
                        left: 17px;
                        z-index: 1;
                        content: '';
                        width: 7px;
                        height: 12px;
                        position: absolute;
                        border-right: 2px solid $blue;
                        border-bottom: 2px solid $blue;
                        transform: rotate(35deg);
                    }
                }
            }
        }
    }

    &.open {

        .selection__arrow {

            svg {
                transition: .3s;
                transform: rotate(180deg);
            }
        }
    }
}
